---
title: Plugins
description: To extend nitro's runtime behavior, we can register plugins.
---

They will be synchronously on the first nitro initialization given `nitroApp` context, which can be used to hook into lifecycle events.

**Example:** Simple plugin

```js
// plugins/test.ts
export default defineNitroPlugin((nitroApp) => {
  console.log('Nitro plugin', nitroApp)
})
```

```js
// nitro.config.ts
import { defineNitroConfig } from 'nitropack'

export default defineNitroConfig({
  plugins: [
    '~/plugins/test'
  ]
})
```
